Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#64824 - [rpm-tools] rpm fails to run when lmdb is not installed

Attached to Project: Community Packages
Opened by Jeff Henson (jhenson) - Friday, 13 December 2019, 04:17 GMT
Last edited by Anatol Pomozov (anatolik) - Saturday, 18 January 2020, 21:00 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Anatol Pomozov (anatolik)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
When the `lmdb` package is not installed the `rpm` command fails to run. Currently `lmdb` is listed as an optional dependency but it appears that it's required.

Additional info:
rpm-tools-4.15.1-1
rpm-tools.log is attached demoing the issue

Steps to reproduce:

1) Install rpm-tools in a clean chroot
2) Run `rpm --help`

[root@root /]# rpm --help
rpm: error while loading shared libraries: liblmdb.so: cannot open shared object file: No such file or directory
This task depends upon

Closed by  Anatol Pomozov (anatolik)
Saturday, 18 January 2020, 21:00 GMT
Reason for closing:  Fixed
Additional comments about closing:  r553097
Comment by Anatol Pomozov (anatolik) - Saturday, 18 January 2020, 21:00 GMT
Thank you for the report. lmdb moved to the list of required dependencies as part of r553097. It will be available with the next package binary release.

Loading...